
%global meadversion 2.3.0
%global namedversion 2.3.0.Final-redhat-1
%global meadalpha .Final_redhat_1
%global meadrel .1
%global serial 1

%bcond_without mead

%bcond_without repolib

%define maven_version 2.3.0.Final-redhat-1

Name:           jbossws-common
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        JBoss Web Services (common)
License:        LGPLv2+
Group:          Development/Java

%if %with mead
Source100: jbossws-common-2.3.0.Final-redhat-1-scm-sources.zip
Source101: jbossws-common-2.3.0.Final-redhat-1-patches.zip
Source102: jbossws-common-2.3.0.Final-redhat-1-javadoc.jar
Source103: jbossws-common-2.3.0.Final-redhat-1-sources.jar
Source104: jbossws-common-2.3.0.Final-redhat-1.jar
Source105: jbossws-common-2.3.0.Final-redhat-1.pom
%endif

URL:            http://labs.jboss.com/jbossws/
%if 0
svn -q export -r 17972 http://anonsvn.jboss.org/repos/jbossws/common/tags/jbossws-common-2.2.2.Final && tar cjf jbossws-common-2.2.2.Final.tar.bz2 jbossws-common-2.2.2.Final
%endif
%if %without mead
Source0:   %{name}-%{version}%{?upstreamreltag}.tar.bz2
%endif
Requires(post): jpackage-utils 
Requires(postun): jpackage-utils 
Requires:       jaxbintros
Requires:       jbossws-spi
Requires:       jboss-jaxws-api_2.2_spec
Requires:       jpackage-utils
BuildRequires:  jpackage-utils 
%if %without mead
BuildRequires:  maven2
BuildRequires:  maven-plugin-plugin
BuildRequires:  maven-compiler-plugin
BuildRequires:  maven-install-plugin
BuildRequires:  maven-jar-plugin
BuildRequires:  maven-javadoc-plugin
BuildRequires:  maven-resources-plugin
BuildRequires:  maven-surefire-maven-plugin
BuildRequires:  maven-dependency-plugin
BuildRequires:  maven-release-plugin
BuildRequires:  maven-deploy-plugin
BuildRequires:  maven-source-plugin
BuildRequires:  jbossws-parent
BuildRequires:  jbossws-spi
BuildRequires:  jaxbintros
BuildRequires:  ant
BuildRequires:  jboss-parent
BuildRequires:	jboss-common-core
BuildRequires:  jboss-logging
BuildRequires:  wsdl4j
BuildRequires:  junit
BuildRequires:  jboss-servlet-api_3.0_spec
BuildRequires:  jboss-ejb-api_3.1_spec
BuildRequires:  jboss-jaxrpc-api_1.1_spec
BuildRequires:  jboss-jms-api_1.1_spec
BuildRequires:  jboss-jaxws-api_2.2_spec
BuildRequires:  dom4j
%else
BuildRequires: unzip
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:      noarch

%description
JBossWS Common.

%if %without mead
%package javadoc
Group:          Documentation

Summary:        Javadoc for %{name}
Requires:       jpackage-utils

%description javadoc
API documentation for %{name}.
%endif

%if %without mead
%if %with repolib
%package     repolib
Summary:     Artifacts to be uploaded to a repository library
Group:  Development/Libraries/Java


%description     repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio.
%endif
%endif


%prep
%if %without mead
%setup -q -n jbossws-common-%{version}%{?upstreamreltag}
%endif

%build
%if %without mead
export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
%{_bindir}/mvn-jpp \
        -e \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        -Dmaven.test.failure.ignore=true \
        -DaltDeploymentRepository=jboss-releases::default::file://$(pwd)/maven2-brew \
         deploy javadoc:aggregate javadoc:aggregate-jar

%endif
%install
rm -rf %{buildroot}

install -d -m 0755 %{buildroot}%{_javadir}

%if %without mead
install -p -m 0644 target/%{name}-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}-%{namedversion}.jar
install -p -m 0644 target/%{name}-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}-%{namedversion}-sources.jar
%else
install -p -m 0644 %{_sourcedir}/%{name}-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}-%{namedversion}.jar
install -p -m 0644 %{_sourcedir}/%{name}-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}-%{namedversion}-sources.jar
%endif
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do ln -s ${jar} `echo $jar| sed "s|-%{namedversion}||g"`; done)

# poms
install -d -m 755 %{buildroot}%{_mavenpomdir}
%if %without mead
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%else
install -pm 644 %{_sourcedir}/%{name}-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%endif
%add_to_maven_depmap org.jboss.ws jbossws-common %{namedversion} JPP %{name}

%if %without mead
# javadoc
install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}-%{namedversion}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}-%{namedversion}/
(cd %{buildroot}%{_javadocdir} && ln -s %{name}-%{version} %{name})
%endif

%if %without mead
%if %with repolib
%{__mkdir_p} %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew
%{__cp} -pr maven2-brew/* %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew
%endif
%endif

%clean
rm -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%{_javadir}*/%{name}-%{namedversion}.jar
%{_javadir}*/%{name}.jar
%{_javadir}*/%{name}-%{namedversion}-sources.jar
%{_javadir}*/%{name}-sources.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%if %without mead
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{namedversion}
%{_javadocdir}/%{name}
%endif

%if %without mead
%if %with repolib
%files repolib
%defattr(0644,root,root,0755)
%dir %{_javadir}*
%exclude %dir %{_javadocdir}
%{_javadir}*/repository.jboss.com
%endif
%endif

%changelog
* Fri Mar 21 2014 Lin Gao <lgao@redhat.com> - 2.3.0-1.Final_redhat_1.1
- Update to 2.3.0.Final

* Thu Oct 24 2013 Hui Wang <huwang@redhat.com> - 0:2.2.3-1.Final_redhat_1
- Upgrade to 2.2.3.Final

* Wed Oct 02 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 0:2.2.2-1.Final_redhat_1
- Upgrade to 2.2.2.Final

* Thu Sep 19 2013 Paul Gier <pgier@redhat.com> - 0:2.2.1-1.Final_redhat_1
- Upgrade to 2.2.1.Final

* Fri Sep 06 2013 Lin Gao <lgao@redhat.com> - 0:2.2.0-1.Final_redhat_1
- Upgrade to 2.2.0.Final

* Sun Jul 28 2013 Paul Gier <pgier@redhat.com> - 0:2.1.3-1.Final_redhat_1
- Upgrade to 2.1.3.Final

* Tue Jul 16 2013 Hui Wang <huwang@redhat.com> - 0:2.1.2-2.Final_redhat_1
- Minor fix for pom patch

* Tue Jul 16 2013 Hui Wang <huwang@redhat.com> - 0:2.1.2-1.Final_redhat_1
- Upgrade to 2.1.2.Final

* Mon Apr 15 2013 Paul Gier <pgier@redhat.com> - 0:2.1.1-1.Final_redhat_2
- Minor pom update

* Sun Feb 17 2013 Hui Wang <huwang@redhat.com> - 0:2.1.1-1.Final_redhat_1
- Upgrade to 2.1.1.Final

* Tue Nov 13 2012 Paul Gier <pgier@redhat.com> - 0:2.0.4-5.GA_redhat_3.5
- Rebuild for pom fix

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.0.4-4.GA_redhat_2.5
- Rebuild for MD5

* Tue Aug 28 2012 Yong Yang <yyang@redhat.com> - 0:2.0.4-3.GA_redhat_2.5
- Rebuild

* Tue Aug 28 2012 Yong Yang <yyang@redhat.com> - 0:2.0.4-3.GA_redhat_2.4
- Update pom for 6.0.1

* Tue Aug 14 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.0.4-3.GA_redhat_2.3
- Rebuild unsigned

* Sun Aug 12 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.0.4-3.GA_redhat_2.2
- Rebuild unsigned

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.0.4-3.GA_redhat_1.1
- Rebuild using cache signing

* Fri May 25 2012 Martha Benitez <mbenitez@redhat.com> - 0:2.0.4-3.GA_redhat_1
- Remove javadoc JAR from SRPM and disable javadoc subpackage

* Fri May 25 2012 Martha Benitez <mbenitez@redhat.com> - 0:2.0.4-2.GA_redhat_1
- Clean MANIFEST

* Fri May 04 2012 Martha Benitez <mbenitez@redhat.com> - 0:2.0.4-1.GA_redhat_1
- Upgrade to 2.0.4.GA

* Mon Mar 26 2012 Martha Benitez <mbenitez@redhat.com> - 0:2.0.3-1.GA_redhat_1.1
- Upgrade to 2.0.3.GA
- Add BR jboss-jaxrpc-api_1.1_spec

* Fri Mar 23 2012 Lin Gao <lgao@redhat.com> 0:2.0.2-1.GA_redhat_1
- Upgrade to 2.0.2.GA

* Fri Mar 16 2012 Lin Gao <lgao@redhat.com> 0:2.0.1-0.1.GA_redhat_1.1
- Use new wrapper

* Tue Feb 21 2012 Lin Gao <lgao@redhat.com> 0:2.0.1-0.1.GA_redhat_1
- Upgrade to 2.0.1.GA

* Fri Feb 03 2012 David Walluck <dwalluck@redhat.com> 0:2.0.0-0.8
- remove dependencies marked as provided in pom
- remove unused gnu-getopt
- remove unused log4j
- fix install of javadoc
- fix reltag
- fix repolib option
- fix repolib file ownership
- fix perms

* Thu Feb 02 2012 Fernando Nasser <fnasser@redhat.com> 0:2.0.0-0.7.GA_redhat_1.1
- Dependency cleanup/update

* Wed Jan 04 2012 Lin Gao <lgao@redhat.com> 0:2.0.0-0.7.GA_redhat_1
- Upgrade to 2.0.0.GA

* Mon Nov 28 2011 Lin Gao <lgao@redhat.com> 0:2.0.0-0.6.CR1_redhat_1
- Upgrade to 2.0.0.CR1

* Tue Nov 15 2011 Lin Gao <lgao@redhat.com> 0:2.0.0-0.5.Beta13_redhat_1
- Upgrade to 2.0.0.Beta13

* Wed Nov 09 2011 Lin Gao <lgao@redhat.com> 0:2.0.0-0.4.Beta12_redhat_1
- build rpm format

* Fri Nov 04 2011 Lin Gao <lgao@redhat.com> 0:2.0.0-0.3.Beta12
- upgrade to 2.0.0.Beta12

* Fri Oct 28 2011 Lin Gao <lgao@redhat.com> 0:2.0.0-0.2.Beta11
- upgrade to 2.0.0.Beta11

* Mon Sep 19 2011 Lin Gao <lgao@redhat.com> 0:2.0.0-0.1.Beta5
- upgrade to 2.0.0.Beta5
- mead build on wolf phrase

* Mon Jun 27 2011 Hui Wang <huwang@redhat.com> - 0:2.0.0-0.2.Alpha7
- BR/R jboss-servlet-api_3.0_spec instead of jbossweb-servlet-2.5-api

* Tue Jun 07 2011 Hui Wang <huwang@redhat.com> - 0:2.0.0-0.1.Alpha7
- Upgrade to 2.0.0.Alpha7
- Add javadoc subpackage

* Thu Feb 10 2011 Yiqiao Wang <yiwang@redhat.com> - 0:1.1.0-3.SP7.1
- Upgrade to 1.1.0.SP7
- Patch pom.xml so that it uses jboss-microcontainer2

* Thu Jan 20 2011 Yiqiao Wang <yiwang@redhat.com> - 0:1.1.0-2.SP6.2
- Build with Maven 2.2.1
- Add upload.sh to repolib
- Fix %%files for signed jars
- Add content of maven2-brew, add BR maven-deploy-plugin
- Add the line to find and remove any binaries
- Change BR jboss-microcontainer to jboss-microcontainer2
- Patch pom.xml so that it uses jboss-microcontainer2

* Thu Jun 3 2010 Yiqiao Wang <yiwang@redhat.com> - 0:1.1.0-2.SP6.1
- Merge from RHEL4 (Upgrade to 1.1.0.SP6)

* Mon May 17 2010 Martha Benitez <mbenitez@redhat.com> - 0:1.1.0-1.SP2_CP01.2.1
- rebuilt

* Wed Apr 21 2010 Hui Wang <huwang@redhat.om> 0:1.1.0-1.SP2_CP01.2
- Add BR: BuildRequires: sun-saaj-1.3-api
- Delete jbossws-native-jaxrpc dependency in depmap file
- Rebuild

* Thu Jan 21 2010 Martha Benitez <mbenitez@redhatc.om> 0:1.1.0-1.SP2_CP01.1
- Upgrade to 1.1.0.SP2_CP01
- Add BR codehaus-stax11-api, sun-ws-metadata-2.0-api and their depmap entries
- Change to %{version_full} for depmap entry

* Fri Nov 27 2009 Permaine Cheung <pcheung@redhat.com> 0:1.1.0-0.SP2.8
- Fix version of jaxb in pom

* Fri Oct 30 2009 Fernando Nasser <fnasser@redhat.com> 0:1.1.0-0.SP2.7
- Remove extra dependencies from POM as they should come from jbossws-spi

* Thu Oct 29 2009 Fernando Nasser <fnasser@redhat.com> 0:1.1.0-0.SP2.6
- Remove dependency on jbossws-native-saaj from POM

* Mon Sep 14 2009 Permaine Cheung <pcheung@redhat.com> 0:1.1.0-0.SP2.5
- Fix coordinates for jaxb-api
- Add pom to repolib

* Tue Jul 21 2009 Permaine Cheung <pcheung@redhat.com> 0:1.1.0-0.SP2.4
- Fix component-info.xml

* Mon Jul 20 2009 Permaine Cheung <pcheung@redhat.com> 0:1.1.0-0.SP2.3
- Rebuild to use latest jbossws

* Tue Jul 07 2009 Permaine Cheung <pcheung@redhat.com> 0:1.1.0-0.SP2.2
- Rebuild to fix groupId for jaxb-api

* Tue Jul 07 2009 Permaine Cheung <pcheung@redhat.com> 0:1.1.0-0.SP2.1
- Upgrade to 1.1.0.SP2
- Build with maven
- Add pom and fragment
- Use jbossws for building until we have jbossws-native built
